eoBooleanGenerator(3)

NAME
eoBooleanGenerator - The class eoBooleanGenerator can be used in the STL generate function to easily generate random booleans with a specified bias.

SYNOPSIS

#include <eoRndGenerators.h>

Inherits eoRndGenerator< bool >.

  Public Member Functions
eoBooleanGenerator (float _bias=0.5, eoRng &_rng=rng)
bool operator() (void)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
float bias
eoRng & gen

Detailed Description

The class eoBooleanGenerator can be used in the STL generate function to easily generate random booleans with a specified bias.

Definition at line 104 of file eoRndGenerators.h.

Author

Generated automatically by Doxygen for EO from the source code.